Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class ClassicAvgFunction

    java.lang.Object
      org.hibernate.dialect.function.StandardSQLFunction
          org.hibernate.dialect.function.ClassicAvgFunction

All Implemented Interfaces:
  SQLFunction

    public class ClassicAvgFunction

extends StandardSQLFunction

Classic AVG sqlfunction that return types as it was done in Hibernate 3.1

Author:
  Max Rydahl Andersen

Constructor Summary
`ClassicAvgFunction()`

Method Summary
`Type` | `getReturnType(Type columnType, Mapping mapping)` The return type of the function.

Methods inherited from class org.hibernate.dialect.function.StandardSQLFunction
`getName, getType, hasArguments, hasParenthesesIfNoArguments, render, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassicAvgFunction

    public ClassicAvgFunction()

Method Detail

### getReturnType

    public Type getReturnType(Type columnType,
                              Mapping mapping)
                       throws QueryException

  Description copied from class: `StandardSQLFunction`
  The return type of the function. May be either a concrete type which is preset, or variable depending upon the type of the first function argument.

  Specified by:
    `getReturnType` in interface `SQLFunction`
  Overrides:
    `getReturnType` in class `StandardSQLFunction`
  Parameters:
    `columnType` - the type of the first argument
    `mapping` - The mapping source.
  Returns:
    The type to be expected as a return.
  Throws:
    `QueryException` - Indicates an issue resolving the return type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD